%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Application library for the Xfce desktop environment
Name: exo
Version: 0.3.1.6
Release: 0.beta1%{?dist}
License: LGPL
URL: http://xfce.org/
Source0: http://http://www.us.xfce.org/archive/xfce-4.3.90.1/src/exo-0.3.1.6beta1.tar.bz2
Patch0: exo-0.3.0-x86_64-build.patch
Group: Development/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= 4.2.0
BuildRequires: libxfcegui4-devel >= 4.2.0
Requires: dbus-glib >= 0.22
BuildRequires: dbus-devel >= 0.22
BuildRequires: gtk-doc
BuildRequires: pygtk2-devel
BuildRequires: gettext
BuildRequires: python-devel
BuildRequires: imake
BuildRequires: libXt-devel

%description
Extension library for Xfce, targeted at application development.

%package devel
Summary: Development tools for exo library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxfcegui4-devel

%description devel
Static libraries and header files for the exo library.

%prep
%setup -q -n %{name}-%{version}beta1

%patch0 -p1 -b x86_64-build

%build
%configure --enable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.a

%find_lang libexo-0.3

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libexo-0.3.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog HACKING NEWS README THANKS TODO COPYING
%{_libdir}/lib*.so.*
%{_datadir}/xfce4/helpers
%{_datadir}/xfce4/doc/C
%{_mandir}/man1/exo-csource.1.gz
%{_mandir}/man1/exo-open.1.gz
%{_bindir}/exo-csource
%{_bindir}/exo-open
%{_bindir}/exo-preferred-applications
/etc/xdg/xfce4/helpers.rc
%{_libexecdir}/exo-helper-0.3
%{_datadir}/applications/exo-preferred-applications.desktop
%{_datadir}/icons/hicolor/48x48/apps/preferences-desktop-default-applications.png
%{_libdir}/xfce4/mcs-plugins/exo-preferred-applications-settings.so

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/exo/
%{_includedir}/exo*
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygtk/*/defs/exo-*/
%{python_sitearch}/exo-*
%{python_sitearch}/pyexo.*

%changelog
* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.6beta1
- Upgrade to 0.3.1.6beta1

* Sat Jan 21 2006 Kevin Fenzi <kevin@scrye.com> - 0.3.0-11.fc5
- Add imake to BR to allow detection of modular xorg

* Wed Aug 17 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-10.fc5
- Rebuild for new libcairo and libpixman

* Fri Jul  1 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-9.fc5
- Bump release for a new build

* Mon Jun 20 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-8.fc5
- Add patch to make x86_64 package build

* Thu Jun  2 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-7.fc5
- Change python_sitelib to python_sitearch

* Tue May 31 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-6
- Add python_sitelib to build on x86_64
- Add dist to release

* Tue May 31 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-5
- Add python-devel buildrequires

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-4
- Fixed exo gtk-doc directory not being included in devel
- Changed pygtk defs dir 
- Added Requires to devel for pkg-config dependency

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-3
- Added gettext to buildrequires
- Moved devel docs to devel package only
- Added find_lang for locale files
- Added more docs to base package

* Fri May 27 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-2
- Added lang to files
- Fixed some file paths
- Remove unneeded la files
- Added pygtk2-devel buildrequires

* Sat Mar 19 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-1
- Upgraded to 0.3.0 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.0-3
- Removed generic INSTALL doc from %doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.0-2
- Inital Fedora Extras version
